# Uses of Class
org.apache.zookeeper.metrics.MetricsProviderLifeCycleException

Packages that use MetricsProviderLifeCycleException
Package
Description
org.apache.zookeeper.metrics
org.apache.zookeeper.metrics.impl

## Uses of MetricsProviderLifeCycleException in org.apache.zookeeper.metrics

Methods in org.apache.zookeeper.metrics that throw MetricsProviderLifeCycleException
Modifier and Type
Method
Description
`void`
MetricsProvider.`configure(Properties configuration)`
Configure the provider.
`void`
MetricsProvider.`start()`
Start the provider.

## Uses of MetricsProviderLifeCycleException in org.apache.zookeeper.metrics.impl

Methods in org.apache.zookeeper.metrics.impl that throw MetricsProviderLifeCycleException
Modifier and Type
Method
Description
`void`
DefaultMetricsProvider.`configure(Properties configuration)`
`void`
NullMetricsProvider.`configure(Properties configuration)`
`void`
DefaultMetricsProvider.`start()`
`void`
NullMetricsProvider.`start()`
`static MetricsProvider`
MetricsProviderBootstrap.`startMetricsProvider(String metricsProviderClassName, Properties configuration)`